Panther help

Help
nobu
2009-12-13
2013-03-19
  • nobu

    nobu - 2009-12-13

    any help for panther users?

    I get gcc4 errors
    python24 and gtk2

     
  • Catenary

    Catenary - 2009-12-14

    I don't have a Mac myself, but if you post the actual compiler output I might be able to tell what the problem is…

     
  • nobu

    nobu - 2010-01-21

    wow… sorry for the time lag…
    here goes…
    Installed gtk+ No Errors…

    Gungas-Computer:/usr/bin Gunga$ fink install pygtk
    Password:
    Information about 2139 packages read in 7 seconds.
    The following package will be installed or updated:
    pygtk
    The following 10 additional packages will be installed:
    db3-shlibs gdbm-shlibs gnome-libs libglade-shlibs libxml libxml-shlibs pygtk-py22
    python22 python22-shlibs python22-socket
    Do you want to continue?  y
    /sw/bin/apt-get -q -ignore-breakage -download-only install libxml=1.8.17-14
    Reading Package Lists…
    Building Dependency Tree…
    The following NEW packages will be installed:
      libxml
    0 packages upgraded, 1 newly installed, 0 to remove and 23  not upgraded.
    Need to get 521kB of archives. After unpacking 2191kB will be used.
    Get:1 http://bindist.finkmirrors.net 10.3/release/main libxml 1.8.17-14
    Fetched 521kB in 2s (192kB/s)
    Download complete and in download only mode
    /sw/bin/apt-get -q -ignore-breakage -download-only install libxml-shlibs=1.8.17-14
    Reading Package Lists…
    Building Dependency Tree…
    The following NEW packages will be installed:
      libxml-shlibs

    etc…….No Errors
    Gungas-Computer:~/Suryanam/ProMain08/X11Apps/gnofract4d-3.10 Gunga$ ./setup.py build
    NO JPEG HEADERS FOUND
    running build
    running build_py
    running my_build_ext
    compiling with None
    running build_scripts

    so then I run TEST:
    Gungas-Computer:~/Suryanam/ProMain08/X11Apps/gnofract4d-3.10 Gunga$ ./test.py
    /Users/Gunga/Suryanam/ProMain08/X11Apps/gnofract4d-3.10/fract4d/fc.py:31: DeprecationWarning: the md5 module is deprecated; use hashlib instead
      import md5
    Running all unit tests. This may take several minutes.
    /Users/Gunga/Suryanam/ProMain08/X11Apps/gnofract4d-3.10/fract4d/yacc.py:62: DeprecationWarning: the md5 module is deprecated; use hashlib instead
      import re, types, sys, cStringIO, md5, os.path
    Traceback (most recent call last):
      File "./test.py", line 31, in <module>
        import test_encoder
      File "/Users/Gunga/Suryanam/ProMain08/X11Apps/gnofract4d-3.10/fract4d/test_encoder.py", line 8, in <module>
        import encoder
      File "/Users/Gunga/Suryanam/ProMain08/X11Apps/gnofract4d-3.10/fract4d/encoder.py", line 2, in <module>
        import gst
    ImportError: No module named gst
    ../fract4d/fc.py:31: DeprecationWarning: the md5 module is deprecated; use hashlib instead
      import md5
    Traceback (most recent call last):
      File "./test.py", line 13, in <module>
        import test_gtkfractal
      File "/Users/Gunga/Suryanam/ProMain08/X11Apps/gnofract4d-3.10/fract4dgui/test_gtkfractal.py", line 13, in <module>
        import gtkfractal
      File "/Users/Gunga/Suryanam/ProMain08/X11Apps/gnofract4d-3.10/fract4dgui/gtkfractal.py", line 12, in <module>
        import gtk
    ImportError: No module named gtk
    Traceback (most recent call last):
      File "./test.py", line 7, in <module>
        import test_slave
      File "/Users/Gunga/Suryanam/ProMain08/X11Apps/gnofract4d-3.10/fractutils/test_slave.py", line 9, in <module>
        import gtk
    ImportError: No module named gtk
    ..Can't find PyGTK. You need to install it before you can run Gnofract 4D.
    E….
    ======================================================================
    ERROR: testGenerateMandelbrot (__main__.Test)


    Traceback (most recent call last):
      File "./test.py", line 68, in testGenerateMandelbrot
        gnofract4d.main()
      File "/Users/Gunga/Suryanam/ProMain08/X11Apps/gnofract4d-3.10/gnofract4d.py", line 81, in main
      File "/Users/Gunga/Suryanam/ProMain08/X11Apps/gnofract4d-3.10/gnofract4d.py", line 100, in gtkmain
    SystemExit: 1


    Ran 7 tests in 0.107s

    FAILED (errors=1)

    it's probably a Panther issue…
    thanks

     
  • nobu

    nobu - 2010-01-21

    oh yea…
    Gungas-Computer:~/Suryanam/ProMain08/X11Apps/gnofract4d-3.10 Gunga$ python
    Python 2.6.2 (r262:71600, Apr 16 2009, 09:17:39)
    on darwin

     
  • paul

    paul - 2010-01-26

    i'm just gonna tell you what i do on macosx 10.2
    first, make sure your PYTHONPATH env has the location of pygtk in it
    for example, my pygtk is installed in prefix /opt/local and i'm using python 2.5, so i add /opt/local/lib/python2.5/site-packages
    ideally, that should be enough for you to test in python to see if it's working
    if it works, you'll maybe get a warning about not being able to open the display, if not, it'll give you something like
    % python -c 'import gtk'
    Traceback (most recent call last):
      File "<string>", line 1, in <module>
    ImportError: No module named gtk

    and maybe if the pygtk from fink is too old, you'll need to explicitly add 'import pygtk; pygtk.require("2.0")' on the line before each 'import gtk' (per http://faq.pygtk.org/index.py?req=show&file=faq02.006.htp)

     

Log in to post a comment.